<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 4/5                                                      |
// +----------------------------------------------------------------------+
// | This source file is a part of iScripts Multicart                     |
// +----------------------------------------------------------------------+
// | Authors: Programmer<programmer@armia.com>        		              |
// +----------------------------------------------------------------------+
// | Copyrights Armia Systems, Inc and iScripts.com � 2005                |
// | All rights reserved                                                  |
// +----------------------------------------------------------------------+
// | This script may not be distributed, sold, given away for free to     |
// | third party, or used as a part of any internet services such as      |
// | webdesign etc.                                                       |
// +----------------------------------------------------------------------+

ob_start();
include "includes/config.php";
include "includes/session.php";
include "includes/functions.php";

if (get_magic_quotes_gpc()) {
    $_POST = array_map('stripslashes_deep', $_POST);
    $_GET = array_map('stripslashes_deep', $_GET);
    $_COOKIE = array_map('stripslashes_deep', $_COOKIE);
	$_SESSION = array_map('stripslashes_deep', $_SESSION);
}
$shipping_cost=number_format($_SESSION['SESS_upscost'],2,".","");
$totaltaxrate=number_format($_SESSION['session_taxrate'],2,".","");
$referrer =  $_SERVER["HTTP_REFERER"];

if(isset( $_SESSION["sess_userid"]) and $_SESSION["sess_userid"]!= ""){
	$userid = $_SESSION["sess_userid"];
}

if(isCartEmpty($userid)){
	header("Location:viewcart.php");
	exit;
}

if(isset($_SESSION["sess_guest_username"]) && $_SESSION["sess_guest_username"]!='')
{
	$usertype='guest';
}
else
{
	$usertype='user';
}


/*display the active template*/
$currency_attributes = displayCurrencyType();

$active_template = displayTemplate();

include "includes/htmltop.php";

/* Top File Name */

include_once ("includes/".$active_template[0]);

/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping---*/

$totaltopay = number_format(getCartTotal($userid),2,".","");

$hide_shipping_division = hideShipping();
/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping------*/
$check_shipping_enable = checkShippingEnable();

if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
{

	$shipping_cost = $_SESSION['SHIPPING_TOTAL'];

	$totaltopay=number_format($totaltopay,2,".","");

	$totaltopay = $totaltopay + $shipping_cost;

}





require_once('gc/library/googlecart.php');

require_once('gc/library/googleitem.php');

require_once('gc/library/googleshipping.php');

require_once('gc/library/googletax.php');

require_once('gc/library/googleresponse.php');

require_once('gc/library/googlemerchantcalculations.php');

require_once('gc/library/googleresult.php');





/*function call to fetch google checkout details from site settings*/



$google_check_array = array('vgooglecheck_id','vgooglecheck_key','vgooglecheck_mode');

$google_checkout_settings = getSiteGeneralSettings($google_check_array);



$google_id 	= $google_checkout_settings[0];

$google_key = $google_checkout_settings[1];

$sandbox 	= $google_checkout_settings[2];

$total_amount = $totaltopay;


/*-------Clearing the cart after returning from Google Checkout------*/


if($_GET['google_check'] != "" && $_GET['google_check'] == 1)

{



	$check_shipping_enable = checkShippingEnable();

	

	if($check_shipping_enable == "Y")

	{

                                unset($_SESSION['SESS_upstype']);
				unset($_SESSION['SHIPPING_TOTAL']);
				unset($_SESSION['SESS_upsweight']);

	}	

	
        adjustStock($_SESSION["sess_userid"],"-" );
        
	emptyCart($_SESSION["sess_userid"]);

	$_SESSION["sess_addresses_collected"] = false;

	$_SESSION["sess_stock_adjusted"] = false;

	header('location:googlecheckout_success.php');

	exit();

}

/*-------Clearing the cart after returning from Google Checkout------*/



//payment not successful

if(isset($_GET['google_check']) && $_GET['google_check']!="" && $_GET['google_check']=='0')

{

	$paymenterror=GC_PAY_NOT_COMPLETE_TEXT;

}

/*-----------------insert order starts-----------------*/






/*------------insert order ends----------------*/

function UseCase1($google_id,$google_key,$sandbox,$orderid='',$shipping_check,$digital_check)

{

global $tableprefix,$_SESSION;

	$gift_coupon_flag = 0;

	$google_id		= $google_id; // Merchant ID

	$google_key		= $google_key; // Merchant Key

	$google_demo	= $sandbox; // "YES" if in test mode, "NO" if in live mode


        $shipping_cost=number_format($_SESSION['SESS_upscost'],2,".","");
        $totaltaxrate=number_format($_SESSION['session_taxrate'],2,".","");
        $referrer =  $_SERVER["HTTP_REFERER"];


  if(isset($_SESSION["sess_guest_username"]) && $_SESSION["sess_guest_username"]!='')
{
	$usertype='guest';
}
else
{
	$usertype='user';
}

 if(!isset($_SESSION['SESS_google_checkout']))//start of first if condition

{

   $totaltopay = number_format(getCartTotal($_SESSION["sess_userid"]),2,".","");

$hide_shipping_division = hideShipping();
/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping------*/
$check_shipping_enable = checkShippingEnable();

if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
{

	$shipping_cost = $_SESSION['SHIPPING_TOTAL'];

	$totaltopay=number_format($totaltopay,2,".","");

	$totaltopay = $totaltopay + $shipping_cost;

}
    $amountpaid	= number_format($_SESSION['amount_paid'],2,".","");

		 $sql = "INSERT INTO  " .$tableprefix. "orders (
				user_id,
				billing_first_name,
				billing_last_name,
				billing_address1,
				billing_address2,
				billing_city,
				billing_state,
				billing_country,
				billing_zip,
				billing_fax,
				billing_email,
				billing_phone,
				shipping_first_name,
				shipping_last_name,
				shipping_address1,
				shipping_address2,
				shipping_city,
				shipping_state,
				shipping_country,
				shipping_zip,
				shipping_fax,
				shipping_email,
				shipping_phone,
				prefered_shippin_method,
				order_date,
				order_total_price,
				taxrate,
				order_status,
				transaction_id,
				vorder_currency".$nameCouponCode.",
				namount_paid,
                                buyer_comments,
                                vpayment_status
				) VALUES(
				'".addslashes($_SESSION["sess_userid"])."',
				'".addslashes($_SESSION["sessBillingFirstName"])."',
				'".addslashes($_SESSION["sessBillingLastName"])."',
				'".addslashes($_SESSION["sessBillingAddress1"])."',
				'".addslashes($_SESSION["sessBillingAddress2"])."',
				'".addslashes($_SESSION["sessBillingCity"])."',
				'".addslashes($_SESSION["sessBillingState"])."',
				'".addslashes($_SESSION["sessBillingCountry"])."',
				'".addslashes($_SESSION["sessBillingZIP"])."',
				'".addslashes($_SESSION["sessBillingFAX"])."',
				'".addslashes($_SESSION["sessBillingEmail"])."',
				'".addslashes($_SESSION["sessBillingPhone"])."',
				'".addslashes($_SESSION["sessShippingFirstName"])."',
				'".addslashes($_SESSION["sessShippingLastName"])."',
				'".addslashes($_SESSION["sessShippingAddress1"])."',
				'".addslashes($_SESSION["sessShippingAddress2"])."',
				'".addslashes($_SESSION["sessShippingCity"])."',
				'".addslashes($_SESSION["sessShippingState"])."',
				'".addslashes($_SESSION["sessShippingCountry"])."',
				'".addslashes($_SESSION["sessShippingZIP"])."',
				'".addslashes($_SESSION["sessShippingFAX"])."',
				'".addslashes($_SESSION["sessShippingEmail"])."',
				'".addslashes($_SESSION["sessShippingPhone"])."',
				'".addslashes( $_SESSION["sessShippingDisplayName"])."',
				now(),
				'".addslashes($totaltopay)."',
				'".addslashes($totaltaxrate)."',
				'1',
				'".addslashes($tx_token)."',
				'".$currency_attributes[2]."'".$valueCouponCode.",
				'".addslashes($amountpaid)."',
                                '".addslashes($_SESSION["SESS_BUYER_COMMENTS"])."',
                                'P'
				)";
		 mysql_query($sql);
		$orderid = mysql_insert_id();

                 // Updating Buying Process using Gift Certificate Code

		if($_SESSION['sess_giftcertificate_code'] != '' &&  $_SESSION['sess_gift_amount_used'] !='')
		{
			$sql_up		="UPDATE " .$tableprefix. "orders SET vgiftcertificate_code='".addslashes($_SESSION['sess_giftcertificate_code'])."',
						nused_gift_amount=(nused_gift_amount + ".$_SESSION['sess_gift_amount_used']." )WHERE order_id='".$orderid."' ";
			$rs_up		=mysql_query($sql_up) or die(mysql_error());

			$sql_gift	="UPDATE " .$tableprefix. "giftcertificates SET nused_gift_amount=(nused_gift_amount + ".$_SESSION['sess_gift_amount_used']." )
							WHERE vgift_coupon_code ='".addslashes($_SESSION['sess_giftcertificate_code'])."' ";
			$rs_gift	=mysql_query($sql_gift) or die(mysql_error());

		}

		// End Gift Certificate Updation

		  // Store Coupon Code Details to Order Table // Modified By Asha ON 21-02-2011
		 if($_SESSION['couponCode_det']!='')
		 {
		 	// Update Order with Coupon Code Discount
			$sql_coupon_update="UPDATE " .$tableprefix. "orders SET  couponCodeDiscount ='".$_SESSION['couponCode_det']['ccDiscount']."', couponCode ='".$_SESSION['couponCode_det']['ccCode']."' where order_id='".$orderid."' ";
			$rs_update_c=mysql_query($sql_coupon_update) or die(mysql_error());
			// End Update
		 }
		// End Coupon Code Modification


		$check_shipping_enable = checkShippingEnable();

		if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
		{

/*---------------inserting the shipping details----------------*/

			$select_cart_products = "SELECT c.product_option_id,c.product_id,p.product_name,po.product_shipping_weight,p.product_artist_id FROM ".$tableprefix."cart c
                                                    INNER JOIN ".$tableprefix."product_options po ON po.product_option_id = c.product_option_id
                                                    INNER JOIN ".$tableprefix."products p ON p.product_id = po.product_id
                                                    WHERE c.user_id = ".$_SESSION["sess_userid"];

			$result_cart_products = mysql_query($select_cart_products) or die(mysql_error());

			if(mysql_num_rows($result_cart_products) > 0)
			{

				while($cart_obj = mysql_fetch_object($result_cart_products))
				{

                                        if(isset($_SESSION["SHIPPING_DETAILS"][$cart_obj->product_artist_id]['preffered_shipping'])) {
                                           $product_name = $cart_obj->product_name;
                                           $optionVal = getProductOptionsName($cart_obj->product_option_id);
                                           $shipping_name = $_SESSION["SHIPPING_DETAILS"][$cart_obj->product_artist_id]['preffered_shipping'];
                                           $shipping_cost = $_SESSION["SHIPPING_DETAILS"][$cart_obj->product_artist_id]['rate'];
                                           $product_shipping_weight = $cart_obj->product_shipping_weight;
                                           $ship_product_option_id  = $cart_obj->product_option_id;
                                           $product_name .= $optionVal;
                                           $insert_shipping = "INSERT INTO ".$tableprefix."shipping_details
                                                                 (
                                                                 norder_id,
                                                                 vshipping_currency,
                                                                 dshipped_date,
                                                                 nshp_status,
                                                                 user_id,
                                                                 nshp_productid,
                                                                 nproduct_option_id,
                                                                 nshp_productname,
                                                                 vshipping_name,
                                                                 nshipping_cost,
                                                                 nshipping_weight
                                                                 )
                                                                 VALUES
                                                                 (
                                                                 ".$orderid.",
                                                                 '".$currency_attributes[2]."',
                                                                 now(),
                                                                 'C',
                                                                 '".addslashes($_SESSION["sess_userid"])."',
                                                                 ".$cart_obj->product_id.",
                                                                 ".$ship_product_option_id.",
                                                                 '".addslashes($product_name)."',
                                                                 '".addslashes($shipping_name)."',
                                                                 '".$shipping_cost."',
                                                                 '".$product_shipping_weight."'
                                                                  )
                                                                ";
					mysql_query($insert_shipping) or die(mysql_error());
                                        }

				} // end while

			} // end if


		} // end of shipping if


          /************************** Affilate payment block*********************************************/

           $sql = "select * from  " .$tableprefix."users where user_id='".addslashes($_SESSION["sess_userid"])."'";
           $result = mysql_query($sql);
           $row = mysql_fetch_array($result);
           if ($row["affiliate_id"] != "" && $row["affiliate_id"] != "0" && $row["vaff_type"] != "paid")
		   {
                                $aid=$row['affiliate_id'];
								$userid=$row['user_id'];
								$txtUserName=$row['user_name'];
								$txtFirstName=$row['first_name'];
								$txtEmail=$row['email'];
								$txtorderdamount=$totaltopay;
                                 	$sql1 = "SELECT * FROM ".$tableprefix."settings ";
									$result1 = mysql_query($sql1);
									if(mysql_num_rows($result1) != 0)
									{
										$row1 = mysql_fetch_array($result1);

										/*referral charge calculation based on the currency type*/

										$txtReferralCharge =  $row1["referral_charge"];

									}
                                   $var_aff_comm = ($txtorderdamount * $txtReferralCharge / 100);

                       			$sql2 = "INSERT INTO ".$tableprefix."affiliate_registrations (
											affiliate_id,
											user_id,
											order_id,
											user_name ,
											user_first_name,
											user_last_name,
											user_email,
											referral_charge,
											registration_date,
											user_totalpurchasedamount
											) VALUES (
											'".addslashes($aid)."',
											'".addslashes($userid)."',
											'".addslashes($orderid)."',
											'".addslashes($txtUserName)."',
											'".addslashes($txtFirstName)."',
											'".addslashes($txtLastName)."',
											'".addslashes($txtEmail)."',
											'".addslashes($var_aff_comm)."',
											now(),'$totaltopay'
											)";
											mysql_query($sql2);

											 $sql3 = " update " . $tableprefix . "users set vaff_type='paid' where user_id='".addslashes($_SESSION["sess_userid"])."'";
									         $result3 = mysql_query($sql3);
                                                                                 sendReferralPurchaseMailtoAffliate($aid);

           } // end if Affiliate Registraion

/************************** Affilate payment block*********************************************/
		//echo "sql==".$sql."<br><br>";

		$product_download_details = TXT_PRODUCT_DOWNLOAD_DETAILS."\r\n";
		$product_download_details .= "-----------------------\r\n";
		$product_download_flag = 0;
		$download_link = "";

		$sql = "SELECT c.*,(p.product_price+po.additional_price) AS product_price,p.product_name,p.product_code,p.product_artist_id,po.discount,
						p.vdigital_product,ar.commission
				FROM " . $tableprefix . "cart c
                                INNER JOIN " . $tableprefix . "product_options po ON po.product_option_id = c.product_option_id
                                INNER JOIN " . $tableprefix . "products p ON p.product_id = po.product_id
                                INNER JOIN " . $tableprefix . "artists ar ON ar.artist_id = p.product_artist_id
				WHERE c.user_id = '".addslashes($_SESSION["sess_userid"])."' ";

		$res = mysql_query($sql);

                 $product_commission_amt =0;

                 $gift_coupon_flag = 0;

		$artists = array();
		if(mysql_num_rows($res) != 0)
		{
			$i=0;
			while($row = mysql_fetch_array($res))
			{
				$productid = $row["product_id"];
                                $product_option_id = $row["product_option_id"];
				$quantity = $row["quantity"];

				/*product price is calculated based on currency type*/

				$converted_price = $row["product_price"];

				$productprice = number_format($converted_price,2,".","");

				//$productprice =  $row["product_price"];

				$productname = $row["product_name"];
                                $optionVal   = getProductOptionsName($product_option_id);
                                $productname .= $optionVal;
				$productcode =  $row["product_code"];
				$productdiscount = $row["discount"];
				$artistid = $row["product_artist_id"];

/*========================================Gift Certificate Section=================================*/
$select_gift_code = "SELECT vgift_coupon_code,ngift_coupon_amount
					 FROM ".$tableprefix."giftcoupon_master
					 WHERE ngift_product_id = ".$productid;
			$result_gift_code = mysql_query($select_gift_code) or die(mysql_error());
			if(mysql_num_rows($result_gift_code)>0)
			{ // start of first if
				$gift_coupon_product_id = $productid;
				while($gift_code_row = mysql_fetch_array($result_gift_code))
				{ // start of while 2
/*--------------------creating random gift coupon code and updating the database-----------------------*/
						$gift_coupon_code = "GC".randomGiftCouponKey();

						$giftamount			= $productprice * $quantity;

						  $insert_coupon_code = "INSERT INTO ".$tableprefix."giftcertificates(vgift_coupon_code,ngift_product_id,
															ngift_order_id,ngift_coupon_amount,user_id,seller_id)
															VALUES('".$gift_coupon_code."',
															".$row["product_id"].",
															".$orderid.",
															".$giftamount.",'".$userid."','".$artistid."')";

						mysql_query($insert_coupon_code) or die(mysql_error());
				}

			$gift_coupon_flag = 1;

		} // end of mysql number of rows check


		//=======================End Gift Certificate Section ===================================


if($row['vdigital_product'] == "Y")
		{

		$digital_product_id = $row["product_id"];

		$select_product_digital_code = "SELECT vdigital_product_name,vdigital_product_code,ndownload_try,ndownload_expiry,ndownload_expiry_days
										FROM ".$tableprefix."digital_product
										WHERE ndigital_productid = ".$row["product_id"]." AND ndigital_orderid =0 ";
		$result_product_digital_code = mysql_query($select_product_digital_code);

		if(mysql_num_rows($result_product_digital_code) > 0)
			{
				while($product_digital_code_row = mysql_fetch_array($result_product_digital_code))
						{
/*--------------------creating random product download code and updating the database-----------------------*/

								$digital_product_code = randomDigitalProduct();

								$expiry_days = 	$product_digital_code_row['ndownload_expiry_days'];

								$valid_date_upto = date("Y-m-d H:s:m",mktime(date("H"),date("i"),date("s"),date("m"),date("d")+$expiry_days,date("Y")));

								/*-------Calculating the download expiry days----------*/
								/*$update_product_digital_code = "UPDATE ".$tableprefix."digital_product
																SET vdigital_product_code = '".$digital_product_code."',
																ndigital_orderid = ".$orderid.",
																ndownload_expiry = '".$valid_date_upto."'
																WHERE ndigital_productid = ".$row["product_id"];
									mysql_query($update_product_digital_code) or die(mysql_error());*/

									/*---------selecting the download try and download expiry date-----------*/

									$select_digital_product_details = "SELECT ndownload_try,ndownload_expiry
													   				   FROM ".$tableprefix."digital_product WHERE ndigital_productid = ".$productid;
									$result_digital_product_details = mysql_query($select_digital_product_details) or die(mysql_error());

									$digital_product_details_row = mysql_fetch_assoc($result_digital_product_details);

									$product_download_try = $digital_product_details_row["ndownload_try"];
									$download_expiry_date = $digital_product_details_row["ndownload_expiry"];
									/*---------selecting the download try and download expiry date-----------*/


									$select_digital_count = "SELECT ndigital_id FROM ".$tableprefix."digital_product WHERE ndigital_orderid = ".$orderid;
									$result_digital_count = mysql_query($select_digital_count) or die(mysql_error());
									//echo "digital count = ".mysql_num_rows($result_digital_count)."\n";
									//echo "order count = ".$row["quantity"];
									for($i=1;$i<=$row["quantity"];$i++)
									//if(mysql_num_rows($result_digital_count) <= $row["quantity"])
									{
								/*-------Calculating the download expiry days----------*/
										$expiry_days = 	$product_digital_code_row['ndownload_expiry_days'];
										$valid_date_upto = date("Y-m-d H:s:m",mktime(date("H"),date("i"),date("s"),date("m"),date("d")+$expiry_days,date("Y")));
								/*-------Calculating the download expiry days----------*/
										$digital_product_code = randomDigitalProduct();
										$insert_product_digital_code = "INSERT INTO ".$tableprefix."digital_product(vdigital_product_name,ndigital_productid,
																		ndigital_orderid,vdigital_product_code,ndownload_try,ndownload_count,ndownload_expiry,ndownload_expiry_days,
																		ndownload_status)VALUES('".addslashes($product_digital_code_row['vdigital_product_name'])."',
																		".$row["product_id"].",
																		".$orderid.",
																		'".$digital_product_code."',
																		".$product_digital_code_row['ndownload_try'].",0,
																		'".$valid_date_upto."',".addslashes($product_digital_code_row['ndownload_expiry_days']).",0)";
										mysql_query($insert_product_digital_code) or die(mysql_error());
									}	// end for loop
									//exit;
							} // end ehile


						} // emd if number of rows check

				$product_download_flag = 1;



		} // end digital product check

/*----------------------------------End check Digital Products--------------------------------------------------
/*----------------------------------Updating Gift Products----------------------------------------------------------*/

                                $product_tax    = $_SESSION["TAX_DETAILS"][$product_option_id];


                                 // Product Based Commission Calculation

                                $price_amt  = $productprice * $quantity;


                                if($row['discount']!=0)
                                    {

                                        $discountprice		=	$productprice-($productprice*$row["discount"])/100;
                                        $discountprice 		=	number_format($discountprice,2,".","");

                                        $discount_amount        = $discountprice * $quantity;

                                    }

                                    else
                                        {
                                            $discount_amount  = $price_amt;
                                    }


                                $product_commission_amt = ($discount_amount * $row["commission"])/100;


                                 // Product Based Commission Calculation End


				 $sql = "INSERT INTO  " . $tableprefix . "order_details (
				order_id,
				product_id,
				product_name,
				product_code,
				product_price,
				product_quantity,
				product_discount,
				artist_id,
				item_status,
				artist_payment_status,
                                product_tax,
                                product_option_id,
                                product_commission_amount
				)VALUES(
				'".addslashes($orderid)."',
				'".addslashes($productid)."',
				'".addslashes($productname)."',
				'".addslashes($productcode)."',
				'".addslashes($productprice)."',
				'".addslashes($quantity)."',
				'".addslashes($productdiscount)."',
				'".addslashes($artistid)."',
				'1',
				'0',
                                '".$product_tax."',
                                '".$product_option_id."',
                                 '".$product_commission_amt."'
				)";
				mysql_query($sql);
				//echo "sql==".$sql."<br><br>";
				$artists[$i] = $artistid;
				$i++;
				$sql = "";

				if($product_download_flag == 1)
				{
						$update_order_details = "UPDATE ".$tableprefix."order_details
						SET item_status = 4
						WHERE order_id  = ".$orderid." AND product_id = ".$digital_product_id;
						mysql_query($update_order_details) or die(mysql_error());
				}
                                $reorderlevelcheck=checkSellerStock($product_option_id,$quantity);

                                if($reorderlevelcheck==1)
                                {
                                        // Send Stock Reorder Mail To Seller
                                        sendStockreordermail($product_option_id,$quantity);
                                }

			} // end while
		} // end number of rows


               // (isset($_SESSION['SESS_orderid']))?session_unregister('SESS_orderid'):session_register('SESS_orderid');
                $_SESSION['SESS_orderid'] = $orderid;


                if($gift_coupon_flag == 1)
		{
			if(isset($_SESSION['SESS_digital_product']) && $_SESSION['SESS_digital_product']!='')
			{

				unset($_SESSION['SESS_digital_product']);

			}

			$update_order_details = "UPDATE ".$tableprefix."order_details
									 SET item_status = 4
									 WHERE order_id  = ".$orderid." ";
			mysql_query($update_order_details) or die(mysql_error());

		}	// end if gift flag


                if($product_download_flag == 1)
		{
				$update_order_details = "UPDATE ".$tableprefix."order_details
										 SET item_status = 4
										 WHERE order_id  = ".$orderid.
										 " AND product_id = ".$digital_product_id;
				mysql_query($update_order_details) or die(mysql_error());
		}


                if($product_download_flag == 1)
		{
			//(isset($_SESSION['SESS_digital_product']))?session_unregister('SESS_digital_product'):session_register('SESS_digital_product');

			$_SESSION['SESS_digital_product'] = 1;

		}
	// Send Giftcertificate Mails
	/*	if($gift_coupon_flag == 1)
		{
			sendgiftCertificateMail_Buyer($orderid,$_SESSION["sess_userid"],$usertype);
			sendgiftCertificateMail_Seller($orderid,$_SESSION["sess_userid"]);
			sendgiftCertificateMail_Admin($orderid,$_SESSION["sess_userid"]);
		}

		//Send Digital Certificate Mails

		if($product_download_flag == 1)
		{
			sendDigitalCertificateMail_Buyer($orderid,$_SESSION["sess_userid"],$usertype);
			sendDigitalCertificateMail_Seller($orderid,$_SESSION["sess_userid"]);
			sendDigitalCertificateMail_Admin($orderid,$_SESSION["sess_userid"]);
		}




		if($product_download_flag!=1 && $gift_coupon_flag!=1)
		{
			//sendBuyerEmail($orderid,$_SESSION["sess_userid"],$usertype);
			//sendSellerEmail($orderid,$_SESSION["sess_userid"]);
			//sendAdminEmail($orderid,$_SESSION["sess_userid"]);

		}*/




} // end of first if condition

	//$cost			= $total_amount_topay; // price

	
        $currency        = getSettingsValue("admin_currency");


	

	if ($google_demo == "YES")

		$server_type	= "sandbox";

	else

		$server_type	= "checkout";

		

	// Create a new shopping cart object

	$cart = new GoogleCart($google_id, $google_key, $server_type, $currency);

	

	$total = 0;

	$cartitems = "";

	
	$price = 0;


    $sql = "SELECT c.*,(p.product_price+po.additional_price) AS product_price,p.product_name,p.product_description,p.product_code,p.product_artist_id,po.discount,p.vdigital_product,po.product_option_id
				FROM " . $tableprefix . "cart c
                                INNER JOIN " . $tableprefix . "product_options po ON po.product_option_id = c.product_option_id
                                INNER JOIN " . $tableprefix . "products p ON p.product_id = po.product_id
				WHERE c.user_id = '".$_SESSION["sess_userid"]."' ";
        

	$res = mysql_query($sql);
	
	$cart_id = 1;

        $discountstr="";

        $unit_price =0;

        $shipping_cost  =0;

        $product_tax=0;

	
	if(mysql_num_rows($res) > 0 )

	{

		while($rw = mysql_fetch_array($res))

		{

			$cart_no = "item_".$cart_id;

			$ship_no = "ship_".$cart_id;

			$restriction_no = "restriction_".$cart_id;

                        $product_option_id  = $rw["product_option_id"];

			
				$productname = $rw["product_name"];

				$rate = $rw["product_price"];

				$qty = $rw["quantity"];

				$price = $qty * $rate;

				
				if($rw["discount"] !="0")

				{

				$price=$price- ($price*$rw["discount"])/100;

				//$discountstr="<br>discount(".$rw["discount"]."%)";

				}



                     $check_shipping_enable = checkShippingEnable();

                     $hide_shipping_division = hideShipping();
                     
                        if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
                        {
			
                             if(!empty($_SESSION["SHIPPING_DETAILS"])) {
                                     $shipping_cost = $_SESSION["SHIPPING_DETAILS"][$product_option_id]['rate'];
                             }
     	

			}


                          if(!empty($_SESSION["TAX_DETAILS"])) {

                                     $product_tax =$_SESSION["TAX_DETAILS"][$product_option_id];

                               }

			
                        $unit_price = $price + $shipping_cost + $product_tax;
			

			$cart_no = new GoogleItem($productname, // Item name

							 $rw["product_description"], // Item description

							 1, // Quantity

							 $unit_price); // Unit price

							 

			$cart->AddItem($cart_no);		

				

			$cart_id ++;				

				


							

				

					

		}

	

		

			

		

	}

        $_SESSION['google_order_id'] = '';

        $_SESSION['gift_coupon_flag'] ='';

        $_SESSION['product_download_flag'] ='';
        

        $_SESSION['google_order_id'] = $orderid;

        $_SESSION['gift_coupon_flag'] = $gift_coupon_flag;

        $_SESSION['product_download_flag'] = $product_download_flag;

       $merchantdata=$orderid."@".$gift_coupon_flag."@".$product_download_flag;
        

$cart->SetMerchantPrivateData($merchantdata);

       
// continue link page

$cart->SetContinueShoppingUrl(SITE_URL."/google_checkout_payment.php?google_check=1");

$cart->AddRoundingPolicy("HALF_UP", "PER_LINE");

// Display XML data

// Display Google Checkout button

echo  $cart->CheckoutButtonCode("LARGE");


//$_SESSION["SHIPPING_DETAILS"] = array();

//$_SESSION['SHIPPING_TOTAL'] = 0;

        

}//end if  


$totaltaxrate =0;

$shipping_cost = 0;

$totaltaxrate=number_format($_SESSION["TAX_TOTAL"],2,".","");
//shipping cost
$shipping_cost=number_format($_SESSION['SHIPPING_TOTAL'],2,".","");


$totaltopay = number_format(getCartTotal($userid),2,".","");

$hide_shipping_division = hideShipping();
/*-------function call to check whether cart contains digital or gift coupon products so as to hide shipping------*/
$check_shipping_enable = checkShippingEnable();

if($check_shipping_enable == "Y" && $hide_shipping_division == 1)
{

	$shipping_cost = $_SESSION['SHIPPING_TOTAL'];

	$totaltopay=number_format($totaltopay,2,".","");

	$totaltopay = $totaltopay + $shipping_cost;

}


?>



<div align="left" class="main_body">

			<!--mainbody area start -->

			

			<div align="left" id="body_left_area">

				<!--body left area start -->

		

				

				

			<!--categories area start -->

			

<?php



	include_once("includes/categorylist.php");



?>			

			

			<!--categories area end -->	

			

			<!--body left area end -->

				</div>







		<!--center content area start-->		

		

		<div align="left" id="item_details">

	

	

		<!--items display area start -->

	

		<div align="left" id="items_top_area">

				<div align="left" id="items_top_area_ttl"><?php echo GC_PAY_GATEWAY_TEXT; ?></div>
		</div>

		

		<div class="text_information" align="center"><?php echo $paymenterror;?></div>

		

		<div class="payment_styles">
		

                    <table width="100%" border="0" cellspacing="3" cellpadding="3" >
	<tr>
            <td width="30%"><?php echo TOTAL_ITEM_COST_TEXT; ?> </td>
			<td >
<?php

 if(isset($_SESSION['couponCode_det']))
{
	  $display_total = number_format(getCartTotalcouponCode($_SESSION["sess_userid"],$_SESSION['couponCode_det']),2,".","");
}else{
	  $display_total = number_format(getCartTotal($_SESSION["sess_userid"]),2,".","");
}


   if(isset($_SESSION['couponCode_det']))
{
	$display_total = number_format(getCartTotalcouponCode($_SESSION["sess_userid"],$_SESSION['couponCode_det']),2,".","");
}else{

  $display_total = number_format(getCartTotal($_SESSION["sess_userid"]),2,".","");
}

   echo $adminCurrency['currency_symbol'];
   echo "&nbsp;";
   echo number_format(getCartTotal($_SESSION["sess_userid"]),2,".","");
?></td>
		 </tr>


<?php if($shipping_cost!=0){ ?>
	 <tr>
		<td><?php echo TOTAL_SHIP_COST_TEXT; ?></td>
		<td >
<?php
						 echo $adminCurrency['currency_symbol'];
						echo "&nbsp;";
						echo number_format($shipping_cost,2,".","");
?>
		</td>
		</tr>
<?php } // end shipping cost check ?>

		<?php if($_SESSION["TAX_TOTAL"]!=0)
		{ // check tax rate is empty or not
		?>
		<tr>
		  <td>&nbsp;<?php echo TAX_RATE_TEXT;?>  </td>
		  <td align="left" ><?php
		  	echo "&#36;";
			echo "&nbsp;";
			echo number_format($_SESSION["TAX_TOTAL"],2,".","");?>
		  </tr>
		  <?php } ?>

		  <?php if($_SESSION['couponCode_det']['ccDiscount']!='')
			{
			?>
			<tr>
                          <td><?php echo COUPON_CODE_TEXT1;?> ' <?php echo $_SESSION['couponCode_det']['ccCode'] ?>' <?php echo DISCOUNT_TEXT;?>   </td>
                          <td align="left" >
                                <?php echo $_SESSION['couponCode_det']['ccDiscount'];?> %
                      </tr>


		<?php } ?>


<?php if($_SESSION['sess_giftcertificate_code']!='' && $_SESSION['sess_gift_amount_used']!='')
{

?>

		<tr>
		  <td>&nbsp;<?php echo GIFT_AMT_TEXT;?> </td>
		  <td align="left" ><?php
		  	 echo $adminCurrency['currency_symbol'];
			echo "&nbsp;";
			echo number_format($_SESSION['sess_gift_amount_used'],2,".","");?>
		  </tr>

<?php  } ?>
		  <tr>
				<td><?php echo TOTAL_PAY_TEXT;?> </td>
				<td align="left">

	<?php
						$grandtotal=$display_total + $shipping_cost +$totaltaxrate;

						if($_SESSION['sess_gift_amount_used']>0)
						{
							$amount_to_pay	= $grandtotal-$_SESSION['sess_gift_amount_used'];
						}
						else
						{
							$amount_to_pay	= $grandtotal;
						}
						echo $adminCurrency['currency_symbol'];
   						echo "&nbsp;";

						echo number_format($amount_to_pay,2,".","");

				

?>
                  </tr>
	<tr>
	  <td>&nbsp;</td>
	  <td align="center" >&nbsp;</td>
	  </tr>
	<tr>

		<!--<td width="7%">&nbsp;</td>-->

            <td align="center"  colspan="2"><b><?php echo WAIT_INTERFACE_TEXT;?></b></td>

	</tr>

	

			

	

	<tr>

		<!--<td width="7%">&nbsp;</td>-->

		<td align="center" colspan="2">

		<?php 

		

										

			UseCase1($google_id,$google_key,$sandbox,$_SESSION['SESS_orderid'],$check_shipping_enable,$hide_shipping_division);

																														

		?>

		</td>

	</tr>

	</table>

		

	</div>	





	<div align="left" class="float_clear1"></div>

				

				

	 <!--items display area end -->

	  </div>

	

		

	<!--center content area end-->	





	<div align="left" class="clear"></div>		

	<!--mainbody area end -->

	</div>

	<div align="left" class="clear"></div>

	



<?php

include "includes/".$active_template[2];	/* Bottom File Name */

?>

																							